Issue 12335 - Presentation slide names lost when saving in PowerPoint (ppt) format
Summary: Presentation slide names lost when saving in PowerPoint (ppt) format
Status: ACCEPTED
Alias: None
Product: Impress
Classification: Application
Component: ui (show other issues)
Version: OOo 1.0.1
Hardware: PC Linux, all
: P3 Trivial with 2 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 12336 27581 128139 (view as issue list)
Depends on:
Blocks:
 
Reported: 2003-03-14 13:24 UTC by billk
Modified: 2019-06-21 18:06 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description billk 2003-03-14 13:24:02 UTC
OO ver 1.02, no ver 1.02 in issuezilla dialogs!

Open presentation in ppt format, edits ok, save back to ppt format

powerpoint page numbers on slide master do *NOT* work in OO, and OO's (inserted
as a field) pagenumbers stay fixed at 1 when saved as ppt.
Loses text on tabs (becomes slide 1, slide 2 etc.)

Show stopper for me as I am editing anothers ppt presentations, and OO formats
(which work fine) are not permitted.
Comment 1 billk 2003-03-14 14:09:39 UTC
Badly worded! I should have said that when a ppt format pres is loaded
into OO for the first time, all work fine.  If saved as a ppt, both OO
and PowerPoint lose the page numbering on the master slide, and the
slide names are not visible in OO.

Loading back into PowerPoint and resaving gets the slide names back,
but not the page numbering.

BillK
Comment 2 wolframgarten 2003-03-24 09:28:25 UTC
Reassigned to Christian.
Comment 3 christian.guenther 2003-03-27 14:49:39 UTC
*** Issue 12336 has been marked as a duplicate of this issue. ***
Comment 4 christian.guenther 2003-03-27 14:53:55 UTC
set to new.
Comment 5 christian.guenther 2003-03-27 15:11:02 UTC
Please write only 1 bug per issue.
Comment 6 christian.guenther 2003-03-27 15:27:52 UTC
The first item is a known bug which is fixed in the OOo1.1Beta.

The second part of the bug can't be fixed because PPT have no marker
tabs  therefore we can't export the names of the slides (the names on
the marker tabs.)
Comment 7 christian.guenther 2003-03-27 15:28:45 UTC
I close the issue.
Comment 8 billk 2003-03-27 22:51:55 UTC
I cannot see the reasoning for this.  Does not powerpoint have name
attached to a slide, and does not OO have a name attached to a slide?
 The slide name IS visible if you open a powerpoint, it exports to
html OK once opened, but its *LOST* when you save and reopen as ppt. 
The keyword here is SAVE.  So it seems to me OO has a bug in that it
is losing information when you save as powerpoint.  The fact that you
do not have an internal mechanism to handle the information is part of
the bug, not a reason to close and dismiss it!

BillK
Comment 9 christian.guenther 2003-03-28 07:19:26 UTC
Hi sven 

Please give a comment to this behaviour.

Christian
Comment 10 sven.jacobi 2003-03-28 09:38:03 UTC
Your problem with the page numbering field has been fixed. The other
problem can't be fixed, because I think there is no possibility in
PowerPoint to name a page, instead all slide names are a result of an
automatism that takes the content of each title. Thus means the file
format of PowerPoint is not designed to store such names, and this is
sorry to say, a little information lost if saving from OO to PPT.
Comment 11 billk 2003-03-28 13:53:38 UTC
If this is the case, why does OO read the titles in correctly if a
file is saved from PP, but after being saved fron OO in ppt format,
they are lost?

If I string the ppt file (saved from PP), there is a section called
"Slide Titles" which is not present in the OO saved file, which is
smaller in size no editing done).  Below is a section cut&pasted from
a "vi -b PP_FILE.ppt".  The actual titles appear to be before "Slide
Title" words.

________________________________________________________
Comment 12 sven.jacobi 2003-03-28 14:15:05 UTC
Yes, you are right, the slide names are saved in the
"DocumentSummaryInformation" stream of a PPT document, but it does not
have any effect if you store names in there, because after
loading/saving in PowerPoint, there will always be the slide name
generated by the automatism. Try it and change the name in a hex
editor, the name is not persistend and will be removed the next time
you are editing the file in PowerPoint.
Comment 13 billk 2003-03-28 14:50:06 UTC
But then what is the mechanism where OO reads the slide names in a PP
generated file, but not in an OO one?  Agreed that PP is regenerating
them, but OO must be reading something in the first place, that is
lost when OO saves the file.
Comment 14 sven.jacobi 2003-03-28 16:02:15 UTC
It comes, because we try to read the names of the
DocumentSummaryStream - So you have convinced me, our export should
also store these names. I will reopen this bug, and and implement this
enhancement for OOo2.0.
Comment 15 sven.jacobi 2003-03-28 16:05:43 UTC
changed owner
Comment 16 sven.jacobi 2003-03-28 16:06:42 UTC
changed to enhancement
Comment 17 sven.jacobi 2003-09-16 10:40:54 UTC
.
Comment 18 marc.neumann 2003-10-15 14:12:15 UTC
"According to the OpenOffice.org roadmap
(http://tools.openoffice.org/releases) this issue was retargeted to
OOo Later." 
Comment 19 christian.guenther 2004-04-08 16:54:39 UTC
*** Issue 27617 has been marked as a duplicate of this issue. ***
Comment 20 christian.guenther 2004-04-08 16:56:08 UTC
*** Issue 27581 has been marked as a duplicate of this issue. ***
Comment 21 christian.guenther 2004-08-24 11:08:43 UTC
Please have also a look to issue 27581.
It's duplicate to this one.
Comment 22 seitzm 2005-03-24 17:16:47 UTC
Would someone please change the summary to something like "Presentation slide
names lost when saving in PowerPoint (ppt) format"?  I had trouble finding this
issue because the summary doesn't mention anything about slide names.
Comment 23 sven.jacobi 2005-03-30 08:45:51 UTC
changed title
Comment 24 idarwin 2009-02-25 02:43:32 UTC
This is a PITA when dealing with M$-dependent sites. You open the PPT and they
look fine, you save it, re-open and boom! All the slide names are GONE.

It's not like PPT97 is a new format, after all... :-)

Comment 25 Marcus 2019-06-21 18:06:15 UTC
*** Issue 128139 has been marked as a duplicate of this issue. ***